Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log

From: Dmitry Gutov <[email-masked]>
Date: Sat, 25 Dec 2021 14:08:20 +0200

On 25.12.2021 14:37, Philip Kaludercic wrote:
> Dmitry Gutov <[email-masked]> writes:
> 
>> On 24.12.2021 16:57, Philip Kaludercic wrote:
>>> Dmitry Gutov<[email-masked]>  writes:
>>>
>>>> On 24.12.2021 14:56, Philip Kaludercic wrote:
>>>>> Dmitry Gutov<[email-masked]>   writes:
>>>>>
>>>>>> I have pushed the change which obsoletes vc-switch-backend now.
>>>>> So what is the preferred way for switching to another vc backend from
>>>>> 28.1 onward?
>>>> I suppose it depends on your scenario.
>>>>
>>>> Do you routinely use two different backends in certain
>>>> projects/directories?
>>> Yes, when switching between some default vc backend such as git and
>>> vc-backup (from ELPA) to work with backup files.
>>
>> I haven't tried that package, but it's a little surprising that
>> vc-backup needs such a feature to be fully usable. I guess one option
>> would be for it to provide user commands, one of which which would
>> move it at the front of vc-handled-backends? An the other would undo
>> that action. Or just bundle a copy of vc-switch-backend under a
>> different name.
> 
> The package is still usable, you just don't get to work on backups when
> your file is managed by some other version control system (unless you
> want prioritise it over any other backend).  If it is the case, that
> vc-switch-backend is rarely used, it seems like adding a custom
> vc-backup-toggle-backend command to vc-backup would make the most sense.

Yes, we all thought it is rarely used.

>> But if you don't like both of those suggestions, my preferred plan
>> would be for you to continue using vc-switch-backend in Emacs 28. In
>> Emacs 29, we could un-obsolete it but put it on a different key
>> binding (such as 'C-x v B'), freeing 'C-x v b' for the prefix map for
>> branch operations.
> 
> Maybe I missed something, but would the issue be to just unbind the key,
> without obsoleting it?  FWIW I would also appreciate having C-x v b
> bound to branch commands.

You missed a bunch of comments in this bug discussion.

Unbinding without obsoleting makes sense to me, but not to Eli.